﻿<?php
function weipayalipay_config()
{
    $configarray = array("FriendlyName" => array("Type" => "System", "Value" => "微支付(支付宝)"), "app_id" => array("FriendlyName" => "应用ID", "Type" => "text", "Size" => "25"), "app_secret" => array("FriendlyName" => "应用secret", "Type" => "text", "Size" => "50", "Description" => "wpaym.cn"));
    return $configarray;
}
function weipayalipay_link($params)
{
    if ($_REQUEST['weipay'] == 'yes') {
        #接口配置
        $weipay_config['appid'] = $params['app_id'];
        $weipay_config['money'] = $params['amount'];
        $weipay_config['order'] = $params['invoiceid'];
        $weipay_config['remark'] = "Billing" . "-" . $params['invoiceid'];
        $weipay_config['notify_url'] = $params['systemurl'] . '/modules/gateways/callback/weipayalipay.php';
        $sign = weipayalipay_sign($weipay_config, $params['app_secret']);
        $weipay_config['sign'] = $sign;
        $back = json_decode(weipayalipay_post('https://wpaym.cn/api/pay', $weipay_config), true);
        if ($back["code"] != "200005") {
            return '下单失败！';
        } else {
            $user_data = array(
                "subject" => "Billing" . "-" . $params['invoiceid'],
                "orderid" => $back['orderid'],
                //这里是云端订单号
                "ordersn" => $back['Merchants'],
                //这里是订单号
                "servertime" => $back['generated_time'],
                //下单时间戳
                "closetime" => $back['expiration_times'],
                //过期单时间戳
                "price" => $back['original'],
                //下单金额
                'money' => $back['payment'],
                //这里是实际金额
                'qrcode' => $back['src'],
                //这里是二维码地址
                "type" => 1,
            );
            //传给网页JS去执行
        }
        $invoiceid = $params['invoiceid'];
        exit(weipayalipay_makehtml(json_encode($user_data), $invoiceid));
    }
    if (stristr($_SERVER['PHP_SELF'], 'viewinvoice')) {
        return '<form method="post" id=\'weipay\'><input type="hidden" name="weipay" value="yes"></form><button type="button" class="btn btn-danger btn-block" onclick="document.forms[\'weipay\'].submit()">使用支付宝支付</button>';
    }
    //{$type}  {$typeName} {$invoiceid} {$userdata}
}
function weipayalipay_makehtml($userdata, $invoiceid)
{
    $skin_raw = file_get_contents(__DIR__ . "/weipay/themes.tpl");
    $skin_raw = str_replace('{$userdata}', $userdata, $skin_raw);
    $skin_raw = str_replace('{$type}', "1", $skin_raw);
    $skin_raw = str_replace('{$typeName}', "支付宝", $skin_raw);
    $skin_raw = str_replace('{$invoiceid}', $invoiceid, $skin_raw);
    return $skin_raw;
}
function weipayalipay_post($url, $param, $post_file = false)
{
    $oCurl = curl_init();
    if (stripos($url, "https://") !== FALSE) {
        curl_setopt($oCurl, CURLOPT_SSL_VERIFYPEER, FALSE);
        curl_setopt($oCurl, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($oCurl, CURLOPT_SSLVERSION, 1);
        //CURL_SSLVERSION_TLSv1
    }
    if (is_string($param) || $post_file) {
        $strPOST = $param;
    } else {
        $aPOST = array();
        foreach ($param as $key => $val) {
            $aPOST[] = $key . "=" . urlencode($val);
        }
        $strPOST = join("&", $aPOST);
    }
    curl_setopt($oCurl, CURLOPT_URL, $url);
    curl_setopt($oCurl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($oCurl, CURLOPT_POST, true);
    curl_setopt($oCurl, CURLOPT_POSTFIELDS, $strPOST);
    $sContent = curl_exec($oCurl);
    $aStatus = curl_getinfo($oCurl);
    curl_close($oCurl);
    if (intval($aStatus["http_code"]) == 200) {
        return $sContent;
    } else {
        return false;
    }
}
function weipayalipay_sign($params, $secret)
{
    $sign = $signstr = "";
    if (!empty($params)) {
        ksort($params);
        reset($params);
        foreach ($params as $key => $val) {
            if ($key == 'sign') {
                continue;
            }
            if ($signstr != '') {
                $signstr .= "&";
            }
            $signstr .= "{$key}={$val}";
        }
        $sign = md5($signstr . $secret);
    }
    return $sign;
}